Perl's cpan in XAMPP 1.8.1 seems to be broken

Problems with the Windows version of XAMPP, questions, comments, and anything related.

Perl's cpan in XAMPP 1.8.1 seems to be broken

Postby tedbyers » 10. December 2015 03:54

I have been fighting with this stupid thing for days, and Google isn't helping!

Every time I try to use cpan to install another package, it is the same thing. It complains that make fails. Here is the latest in this misery (attempts to install two packages I need):

Code: Select all
C:\xampp\perl\bin>cpan install Crypt::Khazad
CPAN: CPAN::SQLite loaded ok (v0.202)
CPAN: LWP::UserAgent loaded ok (v6.04)
CPAN: Time::HiRes loaded ok (v1.9725)
Fetching with LWP:
http://cpan.strawberryperl.com/authors/01mailrc.txt.gz
CPAN: YAML::XS loaded ok (v0.39)
Fetching with LWP:
http://cpan.strawberryperl.com/modules/02packages.details.txt.gz
Fetching with LWP:
http://cpan.strawberryperl.com/modules/03modlist.data.gz
Database was generated on Thu, 03 Dec 2015 16:03:04 GMT
Updating database file ...
Done!Running install for module 'Crypt::Khazad'
Running make for J/JC/JCDUQUE/Crypt-Khazad-1.0.3.tar.gz
CPAN: Digest::SHA loaded ok (v5.84)
CPAN: Compress::Zlib loaded ok (v2.06)
Checksum for C:\xampp\cpan\sources\authors\id\J\JC\JCDUQUE\Crypt-Khazad-1.0.3.ta
r.gz ok
CPAN: Archive::Tar loaded ok (v1.90)
CPAN: File::Temp loaded ok (v0.22)
CPAN: CPAN::Meta loaded ok (v2.120921)

  CPAN.pm: Building J/JC/JCDUQUE/Crypt-Khazad-1.0.3.tar.gz

Checking if your kit is complete...
Looks good
Writing Makefile for Crypt::Khazad
Writing MYMETA.yml and MYMETA.json
CPAN: Module::CoreList loaded ok (v2.83)
The system cannot find the path specified.
  JCDUQUE/Crypt-Khazad-1.0.3.tar.gz
  C:\xampp\c\bin\dmake.exe -- NOT OK
Running make test
  Can't test without successful make
Running make install
  Make had returned bad status, install seems impossible
Stopping: 'install' failed for 'Crypt::Khazad'.

C:\xampp\perl\bin>cpan install Crypt::DES
CPAN: CPAN::SQLite loaded ok (v0.202)
Database was generated on Thu, 10 Dec 2015 02:03:28 GMT
Running install for module 'Crypt::DES'
Running make for D/DP/DPARIS/Crypt-DES-2.07.tar.gz
CPAN: Digest::SHA loaded ok (v5.84)
CPAN: Compress::Zlib loaded ok (v2.06)
Checksum for C:\xampp\cpan\sources\authors\id\D\DP\DPARIS\Crypt-DES-2.07.tar.gz
ok
CPAN: Archive::Tar loaded ok (v1.90)
CPAN: File::Temp loaded ok (v0.22)
CPAN: CPAN::Meta loaded ok (v2.120921)
CPAN: Module::CoreList loaded ok (v2.83)

  CPAN.pm: Building D/DP/DPARIS/Crypt-DES-2.07.tar.gz

Checking if your kit is complete...
Looks good
Writing Makefile for Crypt::DES
Writing MYMETA.yml and MYMETA.json
The system cannot find the path specified.
  DPARIS/Crypt-DES-2.07.tar.gz
  C:\xampp\c\bin\dmake.exe -- NOT OK
CPAN: YAML::XS loaded ok (v0.39)
Running make test
  Can't test without successful make
Running make install
  Make had returned bad status, install seems impossible
Stopping: 'install' failed for 'Crypt::DES'.


Note, in both failures, it complains that C:\xampp\c\bin\dmake.exe is not OK, and of course, that path does not exist! So, I tried the following:

Code: Select all
C:\xampp\perl\bin>ppm install dmake
Can't load 'C:/xampp/perl/vendor/lib/auto/XML/Parser/Expat/Expat.dll' for module
 XML::Parser::Expat: load_file:The specified module could not be found at C:/xampp/perl/lib/DynaLoader.pm line 190.
 at C:/xampp/perl/vendor/lib/XML/Parser.pm line 18.
Compilation failed in require at C:/xampp/perl/vendor/lib/XML/Parser.pm line 18.

BEGIN failed--compilation aborted at C:/xampp/perl/vendor/lib/XML/Parser.pm line
 22.
Compilation failed in require at C:/xampp/perl/vendor/lib/PPM.pm line 28.
BEGIN failed--compilation aborted at C:/xampp/perl/vendor/lib/PPM.pm line 28.
Compilation failed in require at ppm.bat line 35.
BEGIN failed--compilation aborted at ppm.bat line 35.

C:\xampp\perl\bin>


How do I fix this stupid thing so that cpan actually works? This is ridiculous. I have used Activestate Perl for years without problems with either cpan or ppm! And I have used perl on Ubuntu and Suse for years, and have not had a problem with cpan! But some meathead advised us to use XAMPP. It would be great, he said. It all just works, he said. In my recent experience, this simply isn't true. And now I am in a situation in which I have a problem to solve quickly, so blowing the damned thing away and installing the individual components using methods I know from experience work is not an option, and I find that in this xampp installation, cpan does not work as it ought. I may be a little angry, and thus intemperate, at the moment, but I hate having tools installed and find that key components of those tools do not work. Any advice on how to get cpan working would be greatly appreciated.

Thanks

Ted
tedbyers
 
Posts: 1
Joined: 10. December 2015 03:31
Operating System: Windows Server 2008 R2

Re: Perl's cpan in XAMPP 1.8.1 seems to be broken

Postby Nobbie » 10. December 2015 11:55

tedbyers wrote:In my recent experience, this simply isn't true.


And you are absolutely right!

Xampp is OK for people which like to use the whole package just "out of the box". For many people this is all they need. Then Xampp is perfectly suited.

But if you intend to extend Perl or whatever, Xampp is not the right tool for you, because its quite difficult to extent (sometimes even impossible), therefore you should install Apache and Perl (Activstate is a good one) manually on yourself and extend it to your needs.
Nobbie
 
Posts: 8767
Joined: 09. March 2008 13:04


Return to XAMPP for Windows

Who is online

Users browsing this forum: No registered users and 44 guests